## org.hibernate
Class InvalidMappingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.MappingException
                          org.hibernate.InvalidMappingException

All Implemented Interfaces:
  Serializable

    public class InvalidMappingException

extends MappingException

Thrown when a mapping is found to be invalid. Similar to MappingException, but this contains more info about the path and type of mapping (e.g. file, resource or url)

See Also:
  Serialized Form

Constructor Summary
`InvalidMappingException(String customMessage, Origin origin)`
`InvalidMappingException(String type, String path)`
`InvalidMappingException(String customMessage, String type, String path)`
`InvalidMappingException(String customMessage, String type, String path, Throwable cause)`
`InvalidMappingException(String type, String path, Throwable cause)`
`InvalidMappingException(String customMessage, XmlDocument xmlDocument)`
`InvalidMappingException(String customMessage, XmlDocument xmlDocument, Throwable cause)`

Method Summary
`String` `getPath()`
`String` `getType()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidMappingException

    public InvalidMappingException(String customMessage,
                                   String type,
                                   String path,
                                   Throwable cause)

### InvalidMappingException

    public InvalidMappingException(String customMessage,
                                   String type,
                                   String path)

### InvalidMappingException

    public InvalidMappingException(String customMessage,
                                   XmlDocument xmlDocument,
                                   Throwable cause)

### InvalidMappingException

    public InvalidMappingException(String customMessage,
                                   XmlDocument xmlDocument)

### InvalidMappingException

    public InvalidMappingException(String customMessage,
                                   Origin origin)

### InvalidMappingException

    public InvalidMappingException(String type,
                                   String path)

### InvalidMappingException

    public InvalidMappingException(String type,
                                   String path,
                                   Throwable cause)

Method Detail

### getType

    public String getType()

### getPath

    public String getPath()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.